Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047695
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2021-09-15 06:382021-09-17 08:41
Reporterranjith_qualiantech_comView Statuspublic 
Assigned Toranjith_qualiantech_com 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression levelProduction - Confirmed Stable
Regression date2021-03-11
Regression introduced in releaseRR21Q2
Regression introduced by commithttps://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/65b6350fac1908af66e8b4408b7f59ec4af8806f [^]
Triggers an Emergency PackNo
Summary

0047695: CreditNote not printed when paying ticket with Credit Note

DescriptionCreditNote not printed when paying ticket with Credit Note
Steps To ReproducePOS
Create a creditnote
Create a ticket
Pay with previous credit note
Complete the ticket
CreditNote not printed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0047702RR21Q3.3 scheduledranjith_qualiantech_com CreditNote not printed when paying ticket with Credit Note 
depends on backport 0047703RR21Q2.4 scheduledranjith_qualiantech_com CreditNote not printed when paying ticket with Credit Note 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0131849)
hgbot (developer)
2021-09-16 07:43

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/87 [^]
(0131890)
hgbot (developer)
2021-09-17 08:41

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards [^]
Changeset: efa3fdcd1422dfe504634a874d7188f94b2101b5
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2021-09-17T06:40:38+00:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/efa3fdcd1422dfe504634a874d7188f94b2101b5 [^]

Fixed ISSUE-47695: Creditnote Model should be converted to JSON before printing

---
M web/org.openbravo.retail.giftcards/js/hooks/preaddpaymenthook.js
M web/org.openbravo.retail.giftcards/js/hooks/printGiftCardPrePrintHook.js
---
(0131891)
hgbot (developer)
2021-09-17 08:41

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/merge_requests/87 [^]

- Issue History
Date Modified Username Field Change
2021-09-15 06:38 ranjith_qualiantech_com New Issue
2021-09-15 06:38 ranjith_qualiantech_com Assigned To => ranjith_qualiantech_com
2021-09-15 06:38 ranjith_qualiantech_com Triggers an Emergency Pack => No
2021-09-16 07:43 hgbot Note Added: 0131849
2021-09-16 09:20 marvintm Status new => scheduled
2021-09-16 09:21 marvintm Regression level => Production - Confirmed Stable
2021-09-16 09:21 marvintm Regression date => 2021-03-11
2021-09-16 09:21 marvintm Regression introduced in release => RR21Q2
2021-09-16 09:21 marvintm Regression introduced by commit => https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.giftcards/-/commit/65b6350fac1908af66e8b4408b7f59ec4af8806f [^]
2021-09-17 08:41 hgbot Resolution open => fixed
2021-09-17 08:41 hgbot Status scheduled => closed
2021-09-17 08:41 hgbot Note Added: 0131890
2021-09-17 08:41 hgbot Note Added: 0131891


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker